When USE_CURL_MULTI is undefined, git http-push doesn't work, so it's
useless to test it.
---
I wasted too much time wondering why the 3rd and 4th tests were failing
before realizing I was building against an ancient libcurl, thus having
a non working git http-push. This would avoid other people to do the same.
t/t5540-http-push.sh | 7 +++++++
1 files changed, 7 insertions(+), 0 deletions(-)
diff --git a/t/t5540-http-push.sh b/t/t5540-http-push.sh
index 6cd8b45..147ff98 100755
--- a/t/t5540-http-push.sh
+++ b/t/t5540-http-push.sh
@@ -12,6 +12,13 @@ This test runs various sanity checks on http-push.'
ROOT_PATH="$PWD"
LIB_HTTPD_DAV=t
+if git http-push > /dev/null 2>&1 || [ $? -eq 128 ]
+then
+ say "skipping test, USE_CURL_MULTI is not defined"
+ test_done
+ exit
+fi
+
. ../lib-httpd.sh
if ! start_httpd >&3 2>&4
--
1.5.6.2.220.g44701